Enviar mensaje que abre un thread nuevo
curl --request POST \
--url https://api.raul.ugps.io/api/v1/conversations/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelId": 123,
"to": [
"<string>"
],
"attachments": [
{
"name": "<string>",
"contentType": "<string>",
"contentBytes": "<string>"
}
],
"body": "<string>",
"channelAccountId": "<string>",
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"clientId": "<string>",
"contactId": "<string>",
"opportunityId": "<string>",
"quoteId": "<string>"
}
'import requests
url = "https://api.raul.ugps.io/api/v1/conversations/messages"
payload = {
"channelId": 123,
"to": ["<string>"],
"attachments": [
{
"name": "<string>",
"contentType": "<string>",
"contentBytes": "<string>"
}
],
"body": "<string>",
"channelAccountId": "<string>",
"cc": ["<string>"],
"bcc": ["<string>"],
"subject": "<string>",
"clientId": "<string>",
"contactId": "<string>",
"opportunityId": "<string>",
"quoteId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channelId: 123,
to: ['<string>'],
attachments: [{name: '<string>', contentType: '<string>', contentBytes: '<string>'}],
body: JSON.stringify('<string>'),
channelAccountId: '<string>',
cc: ['<string>'],
bcc: ['<string>'],
subject: '<string>',
clientId: '<string>',
contactId: '<string>',
opportunityId: '<string>',
quoteId: '<string>'
})
};
fetch('https://api.raul.ugps.io/api/v1/conversations/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Conversations
Enviar mensaje que abre un thread nuevo
Operacion: Enviar mensaje que abre un thread nuevo.
POST
/
api
/
v1
/
conversations
/
messages
Enviar mensaje que abre un thread nuevo
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Body
application/json
Canal: 1002 email, 1003 whatsapp
Destinatarios (WhatsApp usa sólo el primero)
Show child attributes
Show child attributes
Cuerpo (requerido si no hay adjuntos)
Cuenta de salida (casilla). Sin ella se usa la personal
CC (sólo email)
Modo de envío desde casilla compartida
Available options:
send_as, on_behalf_of CCO: destinatarios ocultos del correo
Asunto (requerido para email)
ID del cliente asociado
ID del contacto asociado
ID del negocio asociado
ID de la cotización asociada
Response
201